#ifndef LAYOUT_H
#define LAYOUT_H
#include "config.h"

#define WIN_WIDTH 600
#define WIN_HEIGHT 400
#define FONT_SIZE 16

#define MARGIN 16

#define CELL_SIZE 32
#define BLOCK_SIZE (CELL_SIZE*3)
#define AREA_SIZE (BLOCK_SIZE*3)

#define DIGIT_OFFSET_X ((CELL_SIZE - FONT_SIZE/2)/2)
#define DIGIT_OFFSET_Y ((CELL_SIZE - FONT_SIZE + CELL_SIZE)/2)

#define AREA_LTX 16
#define AREA_LTY 48
#define AREA_RBX (AREA_LTX + AREA_SIZE)
#define AREA_RBY (AREA_LTY + AREA_SIZE)

#define MENU_WIDTH  (FONT_SIZE*6)
#define MENU_HEIGHT 32
#define MENU_LTX (AREA_RBX + MARGIN)
#define MENU_LTY AREA_LTY
#define MENU_RBX (MENU_LTX + MENU_WIDTH)
// MENU_NUMmain.c
#define MENU_RBY (MENU_LTX + MENU_HEIGHT*MENU_NUM)
#define MENU_STR_OFFSET_Y ((MENU_HEIGHT - FONT_SIZE + MENU_HEIGHT)/2)

#define STATUS_LTX (MENU_RBX + MARGIN)
#define STATUS_LTY AREA_LTY

#define MESSAGE_LTX (AREA_LTX)
#define MESSAGE_LTY (AREA_RBY + MARGIN)

#endif
