#ifndef MAIN_H
#define MAIN_H
#include "config.h"

#define TIMER_SPEED 100

#define SetColorBlack()   EzSetColorByRGB(0, 0, 0)
#define SetColorRed()     EzSetColorByRGB(255, 0, 0)
#define SetColorGreen()   EzSetColorByRGB(0, 255, 0)
#define SetColorBlue()    EzSetColorByRGB(0, 0, 255)
#define SetColorYellow()  EzSetColorByRGB(180, 180, 0)
#define SetColorGray()    EzSetColorByRGB(80, 80, 80)
#define SetColorWhite()   EzSetColorByRGB(255, 255, 255)

typedef struct {
    char *caption;
    int enabled;
} menu_item_t;

void init(void);
void draw_screen(void);
void draw_block(int bn);
void draw_focus(void);
void draw_cell(int bn, int cn);
void draw_menu(void);
void draw_status(void);
void draw_message(void);
void set_message(char *msg);
void mouse_h(int x, int y, unsigned int n);
void exec_command(int cmd);
void timer_h(void);
void toggle_running(void);
#endif
